<style>
    :root {
        --verde-fondo: #93fad1;
        --verde-primario: #9dc0b5;
        --verde-oscuro: #5a7d73;
        --verde-boton: #c8e6c9;
        --blanco: #ffffff;
    }

    body {
        font-family: 'Sansation', sans-serif;
        background-color: rgb(183, 248, 183);
        padding: 50px 20px;
        margin: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    fieldset {
        border: 1px solid black;
        border-radius: 15px;
        background-color: rgb(232, 255, 232);
        padding: 40px;
        box-shadow: 0 8px 30px rgba(0,0,0,0.03);
        max-width: 900px;
        margin-bottom: 40px;
    }

    h1 {
        font-family: 'Barriecito', cursive;
        font-size: 3rem;
        margin: 0;
    }

    legend {
        padding: 0 20px;
    }

    input[type="type"], 
    input[type="text"],
    select, 
    textarea {
        border: 1px solid #e0eadd;
        border-radius: 6px;
        padding: 10px;
        background-color: #fcfdfc;
        color: black;
        font-family: 'Sansation', sans-serif;
        outline: none;
        margin: 5px 0;
    }

    input[type="submit"] {
        background-color: white;
        color: #386641;
        border: none;
        padding: 12px 40px;
        border-radius: 8px;
        font-weight: 700;
        cursor: pointer;
        letter-spacing: 1px;
        margin-top: 20px;
    }

    table {
        border-collapse: collapse;
        width: 100%;
        margin: 20px 0;
    }

    th {
        text-transform: uppercase;
        font-size: 0.75rem;
        letter-spacing: 1.5px;
        color: black;
        padding-bottom: 15px;
        border-bottom: 2px solid var(--verde-fondo);
    }

    td {
        padding: 15px 10px;
        font-size: 0.95rem;
    }

    table[border="1"] {
        border: none;
        background: rgb(232, 255, 232);
        border-radius: 12px;
        overflow: hidden;
        box-shadow: 0 4px 20px rgba(0,0,0,0.04);
    }

    table[border="1"] tr:nth-child(even) {
        background-color: #f9fbf9;
    }

    a {
        text-decoration: none;
        color: blue;
        font-weight: bold;
    }
    input[type="checkbox"], input[type="radio"] {
        accent-color: red;
        margin-right: 8px;
    }

</style>